package com.jz.dmp.modules.dao.sys;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.modules.controller.sys.bean.DmpPermissionDto;
import com.jz.dmp.modules.model.DmpPermission;
import com.jz.dmp.modules.model.DmpRole;

/**资源表 mapper
 * @author ybz
 *
 */
public interface DmpPermissionMapper {
	
	/**新增资源表
     * @param dmpPermission
     * @return
     * @throws Exception
     */
    public int insert(DmpPermission dmpPermission)throws Exception;

    /**选择性增加资源表
     * @param dmpPermission
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpPermission dmpPermission)throws Exception;
    
    /**主键修改资源表
     * @param dmpPermission
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpPermission dmpPermission)throws Exception;

    /**选择性修改资源表
     * @param dmpPermission
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpPermission dmpPermission)throws Exception;
    
    /**主键查询资源表
     * @param dmpPermissionId
     * @return
     * @throws Exception
     */
    public DmpPermission selectByPrimaryKey(Integer dmpPermissionId)throws Exception;

    /**主键删除资源表
     * @param dmpPermissionId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer dmpPermissionId)throws Exception;

	/**条件查询资源表
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpPermissionDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询资源表
	 * @param dmpPermissionId
	 * @return
	 * @throws Exception
	 */
	public DmpPermissionDto findById(Integer dmpPermissionId)throws Exception;

	/**批量新增资源表
	 * @param dmpPermissions
	 * @throws Exception
	 */
	public void insertBatch(List<DmpPermission> dmpPermissions)throws Exception;

	/**  
	* @Title: findByRoles  
	* @Description: TODO(根据角色获取资源)  
	* @param @param dmpRoles
	* @param @return
	* @param @throws Exception    参数  
	* @return List<DmpPermission>    返回类型  
	* @throws  
	*/ 
	public List<DmpPermission> findByRoles(@Param("dmpRoles")List<DmpRole> dmpRoles)throws Exception;

	/**  
	* @Title: findAllListWithUrlNotNull  
	* @Description: TODO(获取所有url不为null资源)  
	* @param @return
	* @param @throws Exception    参数  
	* @return List<DmpPermissionDto>    返回类型  
	* @throws  
	*/ 
	public List<DmpPermissionDto> findAllListWithUrlNotNull()throws Exception;

}
