package com.jz.dmp.modules.model;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: DmpAgentDatasourceInfo
 * @Description:
 * @Author
 * @Date 2020/12/21
 * @Version 1.0
 */
public class DmpAgentDatasourceInfo implements Serializable {
    private static final long serialVersionUID = -6919790420219629982L;

    /**
     * ID
     */
    private String id;
    /**
     * 数据源类型ID
     */
    private String datasourceTypeId;
    /**
     * 数据源类型
     */
    private String datasourceType;
    /**
     * 数据源名称
     */
    private String datasourceName;
    /**
     * 数据源描述
     */
    private String datasourceDesc;
    /**
     * JDBC URL
     */
    private String jdbcUrl;
    /**
     * 数据库名
     */
    private String dbName;
    /**
     * 账号
     */
    private String userName;
    /**
     * 密码
     */
    private String password;
    /**
     * 终端信息
     */
    private String endpoint;
    /**
     * Bucket信息
     */
    private String bucket;
    /**
     * accessId
     */
    private String accessId;
    /**
     * accessKey
     */
    private String accessKey;
    /**
     * FTP协议
     */
    private String protocol;
    /**
     * IP
     */
    private String host;
    /**
     * 端口
     */
    private String port;
    /**
     * NameNode地址
     */
    private String defaultFs;
    /**
     * 表空间
     */
    private String tableSchema;
    /**
     * 数据状态
     */
    private String dataStatus;
    /**
     * 创建用户ID
     */
    private String createUserId;
    /**
     * 数据创建时间
     */
    private String createTime;
    /**
     * 创建用户ID
     */
    private String updateUserId;
    /**
     * 数据更新时间
     */
    private String updateTime;
    /**
     * 项目ID
     */
    private String projectId;


    private String datasource;
    private String datasourceCatecode;
    private String datasourceCatename;
    private String isEnabled;
    private String datasourceCatetype;
    private String driverClassName;
    private String isEnableTest;
    private String defaultSourceScript;
    private String defaultTargetScript;
    private String isEnableSource;
    private String isEnableTarget;
    private String delimiter;
    private String isHaveHeader;
    private String fileType;

    private String targetDbName;
    private String targetFileName;


    private String kerberosIsenable;
    private String kerberosKrb5Conf;
    private String kerberosJaasConf;
    private String kerberosFqdn;

    private String hdfsAuthPath;
    private String hdfsDefaultConf;
    private String hdfsConfPath;
    private String hdfsUserName;
    private String hdfsSyncingPath;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDatasourceType() {
        return datasourceType;
    }

    public void setDatasourceType(String datasourceType) {
        this.datasourceType = datasourceType;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceDesc() {
        return datasourceDesc;
    }

    public void setDatasourceDesc(String datasourceDesc) {
        this.datasourceDesc = datasourceDesc;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDefaultFs() {
        return defaultFs;
    }

    public void setDefaultFs(String defaultFs) {
        this.defaultFs = defaultFs;
    }

    public String getTableSchema() {
        return tableSchema;
    }

    public void setTableSchema(String tableSchema) {
        this.tableSchema = tableSchema;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getDatasource() {
        return datasource;
    }

    public void setDatasource(String datasource) {
        this.datasource = datasource;
    }

    public String getDatasourceCatecode() {
        return datasourceCatecode;
    }

    public void setDatasourceCatecode(String datasourceCatecode) {
        this.datasourceCatecode = datasourceCatecode;
    }

    public String getDatasourceCatename() {
        return datasourceCatename;
    }

    public void setDatasourceCatename(String datasourceCatename) {
        this.datasourceCatename = datasourceCatename;
    }

    public String getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(String isEnabled) {
        this.isEnabled = isEnabled;
    }

    public String getDatasourceCatetype() {
        return datasourceCatetype;
    }

    public void setDatasourceCatetype(String datasourceCatetype) {
        this.datasourceCatetype = datasourceCatetype;
    }

    public String getDriverClassName() {
        return driverClassName;
    }

    public void setDriverClassName(String driverClassName) {
        this.driverClassName = driverClassName;
    }

    public String getIsEnableTest() {
        return isEnableTest;
    }

    public void setIsEnableTest(String isEnableTest) {
        this.isEnableTest = isEnableTest;
    }

    public String getDefaultSourceScript() {
        return defaultSourceScript;
    }

    public void setDefaultSourceScript(String defaultSourceScript) {
        this.defaultSourceScript = defaultSourceScript;
    }

    public String getDefaultTargetScript() {
        return defaultTargetScript;
    }

    public void setDefaultTargetScript(String defaultTargetScript) {
        this.defaultTargetScript = defaultTargetScript;
    }

    public String getIsEnableSource() {
        return isEnableSource;
    }

    public void setIsEnableSource(String isEnableSource) {
        this.isEnableSource = isEnableSource;
    }

    public String getIsEnableTarget() {
        return isEnableTarget;
    }

    public void setIsEnableTarget(String isEnableTarget) {
        this.isEnableTarget = isEnableTarget;
    }

    public String getDelimiter() {
        return delimiter;
    }

    public void setDelimiter(String delimiter) {
        this.delimiter = delimiter;
    }

    public String getIsHaveHeader() {
        return isHaveHeader;
    }

    public void setIsHaveHeader(String isHaveHeader) {
        this.isHaveHeader = isHaveHeader;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getTargetDbName() {
        return targetDbName;
    }

    public void setTargetDbName(String targetDbName) {
        this.targetDbName = targetDbName;
    }

    public String getTargetFileName() {
        return targetFileName;
    }

    public void setTargetFileName(String targetFileName) {
        this.targetFileName = targetFileName;
    }

    public String getKerberosIsenable() {
        return kerberosIsenable;
    }

    public void setKerberosIsenable(String kerberosIsenable) {
        this.kerberosIsenable = kerberosIsenable;
    }

    public String getKerberosKrb5Conf() {
        return kerberosKrb5Conf;
    }

    public void setKerberosKrb5Conf(String kerberosKrb5Conf) {
        this.kerberosKrb5Conf = kerberosKrb5Conf;
    }

    public String getKerberosJaasConf() {
        return kerberosJaasConf;
    }

    public void setKerberosJaasConf(String kerberosJaasConf) {
        this.kerberosJaasConf = kerberosJaasConf;
    }

    public String getKerberosFqdn() {
        return kerberosFqdn;
    }

    public void setKerberosFqdn(String kerberosFqdn) {
        this.kerberosFqdn = kerberosFqdn;
    }

    public String getHdfsAuthPath() {
        return hdfsAuthPath;
    }

    public void setHdfsAuthPath(String hdfsAuthPath) {
        this.hdfsAuthPath = hdfsAuthPath;
    }

    public String getHdfsDefaultConf() {
        return hdfsDefaultConf;
    }

    public void setHdfsDefaultConf(String hdfsDefaultConf) {
        this.hdfsDefaultConf = hdfsDefaultConf;
    }

    public String getHdfsConfPath() {
        return hdfsConfPath;
    }

    public void setHdfsConfPath(String hdfsConfPath) {
        this.hdfsConfPath = hdfsConfPath;
    }

    public String getHdfsUserName() {
        return hdfsUserName;
    }

    public void setHdfsUserName(String hdfsUserName) {
        this.hdfsUserName = hdfsUserName;
    }

    public String getHdfsSyncingPath() {
        return hdfsSyncingPath;
    }

    public void setHdfsSyncingPath(String hdfsSyncingPath) {
        this.hdfsSyncingPath = hdfsSyncingPath;
    }

    public String getDatasourceTypeId() {
        return datasourceTypeId;
    }

    public void setDatasourceTypeId(String datasourceTypeId) {
        this.datasourceTypeId = datasourceTypeId;
    }
}
